fs = import('fs')
makeinfo = find_program('makeinfo', native: true, required: false)

install_subdir('html',
               install_dir: docdir,
               strip_directory: false)
if makeinfo.found()
  custom_target('gnunet.info',
    output: 'gnunet.info',
    command: [makeinfo, '--no-split', '--no-headers',
      meson.current_source_dir()/'texinfo'/'gnunet.texi', '-o', '@OUTPUT0@'],
    install: true,
    install_dir: get_option('infodir'))
else 
  install_data('texinfo'/'gnunet.info',
    install_dir: get_option('infodir'))
endif

